Subject: [mobile-ip] Sending HoT Message with entry in binding cache

From: [email-masked]
Date: Thu, 16 May 2002 10:28:04 +0530

Hi All
Consider the scenario when CN recieves a HOTI message from  a mobile node
for which CN already has a valid binding cache entry. CN has to send a HoT
message to the MN's Home address.

For every outgoing packet, if CN has a  Binding cache entry for that
destination Address then CN will change the destination address to the COA
and add type 2 routing header with home address. So naturally CN will
change the Destination address and add a type 2 routing header for the HOTI
message also, otherwise CN has to specifically look into each message for
the special treatment of HOTI message. As per the draft the HOT should be
sent to the Home address of the MN and tunneled to the MN.

How to handle this?

Regards
Arvind